Package ch.qos.logback.core.joran.action

# Class PropertyAction

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.action.Action
ch.qos.logback.core.joran.action.PropertyAction

All Implemented Interfaces:
  `ContextAware`

public class PropertyAction extends Action
This class serves as a base for other actions, which similar to the ANT <property> task which add/set properties of a given object. This action sets new substitution properties in the logging context by name, value pair, or adds all the properties passed in "file" or "resource" attribute.

Author:
  Ceki Gülcü

## Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`PropertyAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`begin(InterpretationContext ec, String localName, Attributes attributes)`
Set a new property for the execution context by name, value pair, or adds all the properties found in the given file.
`void`
`end(InterpretationContext ec, String name)`
`void`
`finish(InterpretationContext ec)`

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`body, getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyAction

public PropertyAction()

## Method Details

### begin

public void begin(InterpretationContext ec, String localName, Attributes attributes)
Set a new property for the execution context by name, value pair, or adds all the properties found in the given file.

Specified by:
  `begin` in class `Action`

### end

public void end(InterpretationContext ec, String name)

Specified by:
  `end` in class `Action`

### finish

public void finish(InterpretationContext ec)